/* 
 * File:   main.h
 * Author: Daniel
 *
 * Created on November 11, 2013, 8:08 PM
 */

#ifndef MAIN_H
#define	MAIN_H

#ifdef	__cplusplus
extern "C" {
#endif

#define LED         PORTAbits.RA1
#define LED_TRIS    TRISAbits.TRISA1

#define GPIO0       PORTAbits.RA2
#define GPIO1       PORTAbits.RA3
#define GPIO2       PORTBbits.RB2

#define GPIO0_TRIS  TRISAbits.TRISA2
#define GPIO1_TRIS  TRISAbits.TRISA3
#define GPIO2_TRIS  TRISBbits.TRISB2

#define ASCIIhex(byte1, byte2) (((byte1 < 'A') ? byte1 - '0' : byte1 - 'A' + 10) << 4) +    \
                                ((byte2 < 'A') ? byte2 - '0' : byte2 - 'A' + 10)

#define ASCIIdigit(byte)    (byte - '0')


void Initial(void);
void processSerialData();
unsigned int readLightSensor();
float HTU21D_readTemp();
float HTU21D_readHumidity();

#ifdef	__cplusplus
}
#endif

#endif	/* MAIN_H */

