/*
 * File:   uart.h
 * Author: dsmith6
 *
 * Created on April 10, 2013, 1:16 PM
 */

#ifndef UART_H
#define	UART_H

#ifdef	__cplusplus
extern "C" {
#endif

#define UART_RX_BUFFER_SIZE 64
#define UART_TX_BUFFER_SIZE 64

void init_uart();
void txChar(unsigned char c);
void txStr(char *s);
void txHex(unsigned char in);
void txVal(char *s, unsigned char val);
void txArray(unsigned char *array, unsigned char length);
void __attribute__ ((interrupt,no_auto_psv)) _U1TXInterrupt(void);
void __attribute__ ((interrupt,no_auto_psv)) _U1RXInterrupt(void);


#ifdef	__cplusplus
}
#endif

#endif	/* UART_H */

